HOOQ Digital Pte Ltd

System Requirements (Android)

Hey there, film buff! If you're planning to use your Android device to get HOOQ'd, first, make sure that your device meets the requirements listed below: 

Operating System (OS): Should be at least version 4.4 (KitKat) to install the HOOQ app.
  • Don't know your Android version? Click here.
  • If you'd like to use our download feature, the minimum Android OS requirement is 5.0 (Lollipop). 
  • If your Android version doesn't meet the requirement, don't fret! Click here for instructions on how to upgrade your version. 

Your Google Play Store account should be set to local (your country of registration). 
  • Don't know if your Google Play Store's set to local? Click here.
 
Recommended internet speed: 
  • At least 2 Mbps for Wi-Fi. 
    • Not sure what your Wi-Fi's speed is? Click here for tips on how to check.
  • At least 3G for mobile data.  

If everything's good, click here for a walk-through on how to download the HOOQ app on your Android device. :)
 

Did you find this article helpful?